Skip to main content
DELETE
Delete payment

📌 Endpoint

DELETE /stores/{storeId}/payments/{paymentId} Deletes an expired payment from the store.

🔐 Authentication

  • Private route.
  • Requires header Authorization with your API key and active plan.

🧾 Route parameters


✅ Example request


Standard snippet (cURL)

Use the cURL example from the Request example section above as the official snippet.

📦 Success response (200)


⚠️ Possible errors

  • 400 INVALID_DATA → invalid parameters
  • 401 API_KEY_NOT_PROVIDED → missing Authorization header
  • 401 INVALID_API_KEY → invalid API key
  • 401 UNAUTHENTICATED → unauthenticated user
  • 403 USER_DISABLED → user disabled or deleted
  • 403 NO_ACTIVE_SUBSCRIPTION → inactive or expired plan
  • 403 DELETE_NOT_ALLOWED → only payments with status EXPIRED can be removed
  • 404 STORE_NOT_FOUND → store not found
  • 404 PAYMENT_NOT_FOUND → payment not found
  • 429 RATE_LIMIT_EXCEEDED → plan per-minute rate limit exceeded
  • 500 INTERNAL_SERVER_ERROR → internal error
  • 503 SERVICE_UNAVAILABLE → service temporarily unavailable

Authorizations

Authorization
string
header
default:YOUR_API_KEY_HERE
required

Path Parameters

storeId
string
required
Required string length: 1 - 50
paymentId
string
required
Required string length: 1 - 50

Response

Delete payment.

code
string
required
Example:

"PAYMENT_DELETED"